def setup(level):
    level.SetGMFPlacementBitmap("Resources/Levels/ModelMaps/model_map_level3.bmp")
    level.AssignGMFToColor("Resources/Levels/Models/Telephone_Pole_V1.gmf", (233, 233, 0), (90.0, 0.0, 0.0), 60.0, -0.1, 0.0, -1, 200.0)
    level.AssignGMFToColor("Resources/Levels/Models/Telephone_Pole_V2.gmf", (0, 233, 233), (90.0, 0.0, 0.0), 60.0, -0.1, 0.0, -1, 200.0)
    level.AssignGMFToColor("Resources/Levels/Models/Telephone_Pole_V2.gmf", (233, 0, 0), (0.0, 0.0, 0.0), 60.0, -0.1, 0.0, -1, 200.0)
    level.AssignGMFToColor("Resources/Levels/Models/Telephone_Pole_V1.gmf", (100, 0, 0), (0.0, 0.0, 0.0), 60.0, -0.1, 0.0, -1, 200.0)
    level.AssignGMFToColor("Resources/Levels/Models/Light_Pole.gmf", (200, 0, 200), (0.0, 0.0, 0.0), 60.0, -0.1, 0.0, -1, 300.0)
    level.AssignGMFToColor("Resources/Levels/Models/highway_sign.gmf", (90, 90, 0), (180.0, 0.0, 0.0), 20.0, -0.1, 0.0, -1, 25.0)
    level.AssignGMFToColor("Resources/Levels/Models/Detour_Ahead_Sign.gmf", (255, 128, 0), (90.0, 270.0, 0.0), 0.0, -0.1, 0.0, -1, 25.0)
    level.AssignGMFToColor("Resources/Levels/Models/Detour_Ahead_Sign.gmf", (230, 160, 0), (270.0, 270.0, 0.0), 0.0, -0.1, 0.0, -1, 25.0)
    level.AssignGMFToColor("Resources/Levels/Models/Building1.gmf", (128, 64, 64), (270.0, 0.0, 0.0), 0.0, 0.0, 0.0, -1, 0.0)
    level.AssignGMFToColor("Resources/Levels/Models/Building2.gmf", (0, 128, 0), (270.0, 0.0, 0.0), 0.0, 0.0, 0.0, -1, 0.0)
    level.AssignGMFToColor("Resources/Levels/Models/Building3.gmf", (0, 0, 255), (270.0, 0.0, 0.0), 0.0, 0.0, 0.0, -1, 0.0)
    level.AssignGMFToColor("Resources/Levels/Models/Building4.gmf", (128, 0, 128), (0.0, 0.0, 0.0), 0.0, 0.0, 0.0, -1, 0.0)
    level.AssignGMFToColor("Resources/Levels/Models/Building3.gmf", (128, 128, 64), (90.0, 0.0, 0.0), 0.0, 0.0, 0.0, -1, 0.0)
    level.AssignGMFToColor("Resources/Levels/Models/Building1.gmf", (0, 128, 192), (90.0, 0.0, 0.0), 0.0, 0.0, 0.0, -1, 0.0)
    level.AssignGMFToColor("Resources/Levels/Models/Building1.gmf", (0, 64, 128), (180.0, 0.0, 0.0), 0.0, 0.0, 0.0, -1, 0.0)
    level.PlaceGMFs()
